<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle"
                template="/layout/template.xhtml">
    <ui:define name="body">
        <s:decorate template="/hl7v3/pix/source/iti44template.xhtml">
            <ui:param name="iti44Bean" value="#{addPatientRecordBean}"/>
            <ui:param name="pageTitle" value="#{messages['gazelle.pam.AddPatientRecord']}"/>
            <ui:define name="helpText">
                <h:outputText
                        value="#{messages['gazelle.pam.YouCanEitherGenerateAPatientUsingOurDemographicD']})"
                        styleClass="help-block"/>
            </ui:define>
            <ui:define name="actionOnPatientColumn">
                <g:column id="actionColumn">
                    <f:facet name="header">#{messages['gazelle.simulator.pam.Action']}</f:facet>
                    <div class="gzl-never-wrap">
                        <h:outputLink
                                value="#{patient.getPermanentLink()}"
                                target="_blank"
                                title="#{messages['gazelle.pam.ViewDetails']}">
                            <s:span styleClass="gzl-icon-search "/>
                        </h:outputLink>
                        <a4j:commandLink
                                actionListener="#{addPatientRecordBean.actionOnSelectedPatient(patient)}"
                                render="globalForm"
                                title="#{messages['gazelle.pam.SendPatient']}" execute="@this">
                            <s:span styleClass="gzl-icon-paper-plane "/>
                        </a4j:commandLink>
                    </div>
                </g:column>
            </ui:define>
            <ui:define name="ddsButtons">
                <a4j:commandButton id="generateButton"
                                   value="#{messages['gazelle.simulator.pam.GeneratePatient']}"
                                   actionListener="#{addPatientRecordBean.generateAndSavePatient()}"
                                   styleClass="gzl-btn-blue"
                                   render="messageConfigurationPanel"/>
            </ui:define>
            <ui:define name="selectedPatientDivInsert">
                <s:decorate template="/layout/panels/_panel_title_footer_id.xhtml"
                            rendered="#{addPatientRecordBean.selectedPatient != null}" id="selectedPatientDiv">
                    <ui:param name="panel_id" value="selectedPatient"/>
                    <ui:define name="panel_title">#{messages['gazelle.simulator.pam.CreatedPatient']}</ui:define>
                    <s:div rendered="#{not addPatientRecordBean.displayEditPatientPanel}">
                        <ui:include src="/patient/showPatient.xhtml">
                            <ui:param name="patient"
                                      value="#{addPatientRecordBean.selectedPatient}"></ui:param>
                            <ui:param name="renderHistory" value="false"></ui:param>
                            <ui:param name="renderEncounters" value="false"></ui:param>
                            <ui:param name="showLinks" value="false"/>
                            <ui:param name="prefix" value="def"/>
                            <ui:param name="renderRelationships" value="true"/>
                            <ui:param name="zfs" value="false"/>
                        </ui:include>
                    </s:div>
                    <s:div rendered="#{addPatientRecordBean.displayEditPatientPanel}">
                        <ui:include src="/pds/editPatientWithIdManagement.xhtml">
                            <ui:param name="patient"
                                      value="#{addPatientRecordBean.selectedPatient}"></ui:param>
                            <ui:param name="renderHistory" value="false"></ui:param>
                            <ui:param name="renderEncounters" value="false"></ui:param>
                            <ui:param name="managedBean" value="#{addPatientRecordBean}"/>
                            <ui:param name="renderRelationships" value="true"/>
                        </ui:include>
                    </s:div>
                    <ui:define name="panel_footer">
                        <a4j:commandButton
                                value="#{messages['gazelle.simulator.pam.SelectAnotherPatient']}"
                                actionListener="#{managedBean.performAnotherTest(null)}" styleClass="gzl-btn"
                                render="globalForm"/>
                        <a4j:commandButton id="editPatient"
                                           actionListener="#{addPatientRecordBean.setDisplayEditPatientPanel(true)}"
                                           value="#{messages['gazelle.simulator.pam.ModifyPatientData']}"
                                           render="selectedPatientDiv" styleClass="gzl-btn-blue"
                                           rendered="#{addPatientRecordBean.selectedPatient != null and not addPatientRecordBean.displayEditPatientPanel}"/>
                        <a4j:commandButton id="viewPatient" styleClass="gzl-btn-blue"
                                           actionListener="#{addPatientRecordBean.setDisplayEditPatientPanel(false)}"
                                           value="#{messages['gazelle.simulator.pam.ViewPatient']}"
                                           render="selectedPatientDiv"
                                           rendered="#{addPatientRecordBean.selectedPatient != null and addPatientRecordBean.displayEditPatientPanel}"/>
                        <a4j:commandButton id="regeneratePatient"
                                           actionListener="#{addPatientRecordBean.displayDDSPanel()}"
                                           value="#{messages['gazelle.simulator.pam.GenerateAnotherPatient']}"
                                           render="selectedPatientDiv, ddsDiv"
                                           styleClass="gzl-btn-blue"/>
                    </ui:define>
                </s:decorate>
            </ui:define>
        </s:decorate>
    </ui:define>
</ui:composition>